#!/bin/bash -e

. ./.env

DOCKER_API='https://hub.docker.com/v2/namespaces/searxng/repositories/searxng'
REPO='https://github.com/searxng/searxng/raw'

tmp="$(mktemp)"

new_tag="$(curl -L "$DOCKER_API/tags" | jq -r '.results[2].name')"
new_commit="$(grep -Eo '\w+$' <<< "$new_tag")"

for f in limiter.toml settings.yml; do
    if curl -Lo "$tmp" "$REPO/$new_commit/searx/$f" && ! diff -Z "$tmp" "config/$f" > /dev/null; then
        $EDITOR -d -c "wincmd l" -- "$tmp" "config/$f"
    fi
done

sed -i "/^IMAGEAPP=/s/:.*/:$new_tag/" .env
